取得 Agent 設定
curl --request GET \
--url https://api.pathors.com/v1/projects/{projectId}/agent \
--header 'Authorization: <authorization>'import requests
url = "https://api.pathors.com/v1/projects/{projectId}/agent"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://api.pathors.com/v1/projects/{projectId}/agent', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"projectId": "<string>",
"type": "<string>",
"name": "<string>",
"status": "<string>",
"globalPrompt": "<string>",
"executionMode": "<string>",
"timezone": "<string>",
"memoryEnabled": true,
"beforeStartConfig": {},
"postSessionWebhook": {},
"postEvaluationConfig": {},
"placeholderMessages": {},
"variableConfigs": [
{}
]
}
}取得 Agent 設定
取得專案的 Agent 組態
GET
/
v1
/
projects
/
{projectId}
/
agent
取得 Agent 設定
請求
GET https://api.pathors.com/v1/projects/{projectId}/agent
路徑參數
專案 ID
標頭
使用您的 Developer Key 進行 Bearer 令牌認證
回應
Show properties
Show properties
Agent ID
關聯的專案 ID
Agent 類型(
monolithic 或 skill)Agent 顯示名稱
Agent 狀態(
draft 或 published)套用至所有節點的全系統提示
LLM 執行模式(
smart、turbo 或 balance)Agent 時區
是否啟用 Agent 記憶
會話開始前的執行設定
會話結束後呼叫的 Webhook
自動評估設定
依語言區分的佔位訊息
變數擷取設定
範例
curl https://api.pathors.com/v1/projects/{projectId}/agent \
-H "Authorization: Bearer dk_your_key"
{
"data": {
"id": "agent-uuid",
"projectId": "project-uuid",
"type": "monolithic",
"name": "Customer Support Agent",
"status": "published",
"globalPrompt": "You are a helpful customer support agent.",
"executionMode": "smart",
"timezone": "Asia/Taipei",
"memoryEnabled": false,
"beforeStartConfig": null,
"postSessionWebhook": null,
"postEvaluationConfig": null,
"placeholderMessages": null,
"variableConfigs": null
}
}
⌘I
